#include<bits/stdc++.h>
using namespace std;
string a,a1;
int b,b1;
int main(){
    cin>>a>>b>>b1;
    int k=b1+1;
    int o=b1-1;
    int zbr=max(b,b1);
    if(b==b1){
        for(int i=1;i<=zbr;i++){
            cout<<a[0]<<a[1];
        }
    }
    else if((b==o or b==k) and b>b1){
        for(int j=1;j<=zbr-1;j++){
            cout<<a[0]<<a[1];
        }
        cout<<a[0];
    }
    else if((b==o or b==k) and b1>b){
        for(int j=1;j<=zbr-1;j++){
            cout<<a[1]<<a[0];
        }
        cout<<a[1];
    }
    else{
        cout<<"nemoguce"<<endl;
    }
return 0;
}